{ lib, ... }:
  let
    inherit (lib)
      mkOption
      types
    ;
  in {
    options = {
      valhalla = {
        hardware = {
          components = mkOption {
            type = types.listOf types.str;
            description = "The names of the hardware components of the computer.";
            default = [];
          };

          eyeX = mkOption {
            type = types.bool;
            description = "A value indicating whether a Tobii EyeX device is present.";
            default = false;
          };

          amdCPU = mkOption {
            type = types.bool;
            description = "A value indicating whether an AMD CPU is present.";
            default = false;
          };

          nvidiaGPU = mkOption {
            type = types.bool;
            description = "A value indicating whether an NVIDIA GPU is present.";
            default = false;
          };

          elgatoWave = mkOption {
            type = types.bool;
            description = "A value indicating whether an Elgato Wave device is present.";
            default = false;
          };
        };
      };
    };
  }
