{ pkgs, fetchFromGitLab, ... }: pkgs.stdenv.mkDerivation (
  rec {
    pname = "archiso";
    version = "78";

    src = fetchFromGitLab {
      domain = "gitlab.archlinux.org";
      owner = "archlinux";
      repo = pname;
      rev = "v${version}";
      sha256 = "u1dZ33IPgzA1ftNMuuMwNRSeifxEgeW8WObFwrUpZgQ=";
    };

    dontPatchShebangs = true;
    preInstall = "export PREFIX=$out";

    nativeBuildInputs = with pkgs; [
      docutils
      git
    ];

    propagatedBuildInputs = with pkgs; [
      arch-install-scripts
      dosfstools
      libisoburn
      mtools
      pacman
      squashfsTools
    ];
  })
