#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        yayinst \
            vscodium-bin \
            visual-studio-code-bin (
                # Trash functionality
            ) gvfs

        configureSW
    end

    function configureSW -V dir
        set -l bins codium code

        for bin in $bins
            if type -q "$bin"
                begin
                    set -l file "/etc/skel/.config/$bin-flags.conf"
                    sudo mkdir -p (dirname "$file")
                    echo "--touch-events" | sudo tee "$file" > /dev/null
                end
            end
        end

        fish "$dir/../../../Common/Software/vscode/main.fish" configure
    end

    runInstaller $argv
end
